Main Page Class Hierarchy Compound List File List Compound Members

# FLASH_driver_in Class Reference

Input driver for DAVID Mann files. More...

`#include <flashin.h>`

List of all members.

## Public Methods
| FLASH_driver_in (const wxString &filename, bool add, int layernr=0)
| constructor
| ~FLASH_driver_in ()
| destructor
## Protected Methods
bool | Read_Command_From_FLASH_File ()
| read one command from flash file
void | Strip_Nonsense ()
| filter comment and spaces from input
void | Strip_Blanks ()
| remove blanks
void | Strip_BOF ()
| remove start of FLASH file symbol (='#')
void | Strip_Comment ()
| remove comment.
void | Read_Items (int &teller)
| read flash command and store the last_Xpos, last_Ypos etc.
int | Read_XY ()
| read commands from command buffer
int | Read_WH ()
| read commands from command buffer
int | Read_A ()
| read commands from command buffer
double | Deg2Rad (int)
| conversion function
double | Inch2Meter (int value)
| conversion function

## Detailed Description

Input driver for DAVID Mann files.

DAVID mann contains rectanguler DATA called flashes Flash data is read/mapped into the right internal structure (Box element) The DAVID Mann file is parsed according to the BNF given here. Below you can see the Bachus Naur representation of the format for flash representation :

    <command>               ::= [<blanks>] {<keyword> <value>}+ <endcommand> [<blanks>]

    <keyword>               ::= {'X'|'Y'|'W'|'H'|'A'}

    <value>                 ::= {<digit>}+

    <digit>        ::= {0-9}

    <EOF>          ::= '$'

    <BOF>          ::= '#'

    <comment>      ::= [<blanks>] <quote> <simplestring> <quote>

    <simplestring>  ::= {LETTER | DIGIT | '_' | ',' | '-' | '+' | '=' | '?' |
                                     '^' | ':' | ''' | '.' | '{' | '}' | '[' | ']' | '(' | ')' |
                                     '~' | '<' | '>' | '/' | '\' | '&' | '@' | ' ' | '|' | '*' }+
                   // no <quote> or <endcommand> or <EOF> or <BOF>

    <blanks>                        ::= { TAB | SPACE }*

    <endcommand>   ::= ';'

    <file>         ::= <BOF> {<comment> <comment> <comment>}{<command>}+ {<comment>}<EOF>

    note:
            [ ]     entity CAN occur zero or more times
            ( )     entity MUST occur
            { }     pick one of the entities within the braces
            { }*    entities within the braces CAN occur zero or more times
            { }+    entities within the braces MUST occur one or more times
             |              OR

## Constructor & Destructor Documentation

FLASH_driver_in::FLASH_driver_in | ( | const wxString & | filename,
|  | bool | add,
|  | int | layernr = 0
| ) |

  | constructor Parameters:
  filename: | name of GDSII input file
  add: | add data to existing drawing
  layernr | add data on this layernr

The documentation for this class was generated from the following file:

- flashin.h

FLASH_driver_in class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page